Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 662269 (dpic) - Review Request: dpic - A compiler for the pic language
Summary: Review Request: dpic - A compiler for the pic language
Keywords:
Status: CLOSED NOTABUG
Alias: dpic
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 530755 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-12-11 05:23 UTC by Ben Boeckel
Modified: 2015-12-11 16:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-11 16:03:00 UTC


Attachments (Terms of Use)

Description Ben Boeckel 2010-12-11 05:23:39 UTC
Spec URL: http://benboeckel.net/packaging/dpic/dpic.spec
SRPM URL: http://benboeckel.net/packaging/dpic/dpic-2010.12.08-1.fc14.src.rpm
Description:
A compiler for the pic language with more ouptut formats including raw
PostScript, LaTeX, TikZ, and more.

% lintmock fedora-14-x86_64
dpic.src: W: strange-permission dpic-no-strip-binaries.patch 0640L
dpic.src: W: strange-permission dpic.spec 0640L
dpic.x86_64: W: no-manual-page-for-binary dpic
dpic-examples.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comment 1 Susi Lehtola 2010-12-11 15:46:41 UTC
Might I suggest cleaning up the spec file with e.g. by replacing the long example building bit with a simple

# Add current directory to path
export PATH=$PATH:`pwd`
# Build examples
pushd examples
for target in epic pstricks pgf pdf mfpic overlay metapost; do
 make $target
 mv tst.ps example-$target.ps
done
for target in psfrag postscript; do
 make $target
 mv tst.ps example-$target.ps
 mv diag.eps example-$target.eps
done
for target in xfig; do
 make $target
 mv diag.fig example-$target.fig
done
# Clean up temporary files
rm tst-mfpic.* tst.* diag.*
# Return to parent directory
popd

***

If you want to add numbering, you can do it with e.g.

n=0
for target in epic pstricks pgf pdf mfpic overlay metapost; do
 let n=n+1
 make $target
 mv tst.ps example-${n}-${target}.ps
done

Comment 2 Ben Boeckel 2010-12-11 16:22:32 UTC
The numbers are for which diag and tst file they were generated from. I suppose since the Makefile is shipped with the examples, which sources the examples were build from is more obvious.

Spec URL: http://benboeckel.net/packaging/dpic/dpic.spec
SRPM URL: http://benboeckel.net/packaging/dpic/dpic-2010.12.08-2.fc14.src.rpm

Comment 3 Thomas Spura 2010-12-12 23:05:47 UTC
*** Bug 530755 has been marked as a duplicate of this bug. ***

Comment 4 Ben Boeckel 2012-03-03 05:01:31 UTC
Spec URL: http://benboeckel.net/packaging/dpic/dpic.spec
SRPM URL: http://benboeckel.net/packaging/dpic/dpic-2012.02.12-1.fc18.src.rpm

dpic.src: W: strange-permission dpic-2012.02.12.tar.gz 0640L
dpic.src: W: strange-permission dpic.spec 0640L
dpic.src: W: strange-permission dpic-no-strip-binaries.patch 0640L
dpic.x86_64: W: no-manual-page-for-binary dpic
dpic-examples.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 5 warnings.

Comment 5 Jason Tibbitts 2012-04-24 22:57:22 UTC
I note there's a 2012.04.23 release out.  (Welcome to the treadmill).  This seems pretty simple, though.

Of note: the README file indicates that dpicdoc.pdf is Creative Commons attribution 3.0 (CC-BY).

The examples package comes out completely empty for me; just two directories (/usr/share/dpic and /usr/share/dpic/examples).  I also note that the examples package doesn't seem to require the main package; I'm not sure if that's intentional.

Comment 6 Ben Boeckel 2012-04-24 23:36:01 UTC
(In reply to comment #5)
> I note there's a 2012.04.23 release out.  (Welcome to the treadmill).  This
> seems pretty simple, though.

Yeah, updating is easy, just need to *do* it.

> Of note: the README file indicates that dpicdoc.pdf is Creative Commons
> attribution 3.0 (CC-BY).

Thanks. Updated.

> The examples package comes out completely empty for me; just two directories
> (/usr/share/dpic and /usr/share/dpic/examples).  I also note that the examples
> package doesn't seem to require the main package; I'm not sure if that's
> intentional.

No, it isn't. Seems I was mistaken in how install -d works. Requires added as well.

Spec URL: http://benboeckel.net/packaging/dpic/dpic.spec
SRPM URL: http://benboeckel.net/packaging/dpic/dpic-2012.04.23-1.fc18.src.rpm

% lintmock fedora-rawhide-x86_64
dpic.src: W: strange-permission dpic-no-strip-binaries.patch 0640L
dpic.src: W: strange-permission dpic.spec 0640L
dpic.src: W: strange-permission dpic-2012.04.23.tar.gz 0640L
dpic.x86_64: W: no-manual-page-for-binary dpic
dpic-examples.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 5 warnings.

Comment 7 Jason Tibbitts 2012-05-08 19:26:21 UTC
Indeed, I get those rpmlint complaints and they're all fine.  (Though I wonder why all of the stuff in the srpm has such odd permissions.  I guess it could be your umask.)

The "texlive2010" bit is a little odd since that project is on to texlive2012 now.  Hopefully one day soon that project will actually be finished.  (Last I checked it was waiting on just two license issues.)  Anyway, that's 

Since the package contains files of multiple licenses, you'll need at least a comment in the spec indicating which file is under which license.

The examples package has a somewhat odd directory structure; the "examples" directory is repeated:
  /usr/share/dpic/examples/examples/README
I also wonder if the documentation for the examples should be packaged as documentation, though that's starting to descend to absurdity.


* source files match upstream.  sha256sum:
  c79dc98fe3c46e2c79a260b54c5e429b2c587ed80edd20699990bbd462914b8a  
   dpic-2012.04.23.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package (at least one license text is in the README 
   file)
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
  dpic-2012.04.23-1.fc18.x86_64.rpm
   dpic = 2012.04.23-1.fc18
   dpic(x86-64) = 2012.04.23-1.fc18
  =
   (none special)

  dpic-examples-2012.04.23-1.fc18.x86_64.rpm
   dpic-examples = 2012.04.23-1.fc18
   dpic-examples(x86-64) = 2012.04.23-1.fc18
  =
   dpic = 2012.04.23

* no bundled libraries.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

Comment 8 Ben Boeckel 2012-05-08 22:13:57 UTC
(In reply to comment #7)
> Indeed, I get those rpmlint complaints and they're all fine.  (Though I wonder
> why all of the stuff in the srpm has such odd permissions.  I guess it could be
> your umask.)

Yeah, I use 027 as my umask.

> The "texlive2010" bit is a little odd since that project is on to texlive2012
> now.  Hopefully one day soon that project will actually be finished.  (Last I
> checked it was waiting on just two license issues.)  Anyway, that's 

…an incomplete sentence ;) . I didn't know texlive2012 was that close. I know jnovy fedorapeople repo hasn't been updated in a long time, but I haven't seen any reviews going by.

> Since the package contains files of multiple licenses, you'll need at least a
> comment in the spec indicating which file is under which license.

Ah, yeah.

> The examples package has a somewhat odd directory structure; the "examples"
> directory is repeated:
>   /usr/share/dpic/examples/examples/README
> I also wonder if the documentation for the examples should be packaged as
> documentation, though that's starting to descend to absurdity.

Hmm, I'll get rid of the duplicate examples thing. Must have skimmed that when looking at the path lists.

Comment 9 Jason Tibbitts 2012-06-07 22:48:31 UTC
Did I miss an update?

Comment 10 Ben Boeckel 2012-06-08 00:29:31 UTC
Nope, I've put off the license inspection mainly :/ . I'll try to figure some time in for going through my bugzilla backlog in the next week or so.

Comment 11 James Hogarth 2015-12-04 02:06:36 UTC
Ben it has been a few years since your last comment on this ticket.

Are you intending to progress this?

As per policy if there is no response within a week the bug will be closed so that others may create a fresh review request if interested.

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

Comment 12 James Hogarth 2015-12-11 16:03:00 UTC
It's been over a week with no response from the requestor to the NeedsInfo flag.

Closing as per policy.


Note You need to log in before you can comment on or make changes to this bug.